Bug 1266716 - dnf upgrade to kernel 4.1.7-200.fc22.x86_64 causes kernel panic on boot [NEEDINFO]
dnf upgrade to kernel 4.1.7-200.fc22.x86_64 causes kernel panic on boot
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: dracut (Show other bugs)
22
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: dracut-maint-list
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-26 17:36 EDT by ChrisKalt
Modified: 2016-01-07 05:29 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-01 16:25:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
harald: needinfo? (chris)


Attachments (Terms of Use)
picture of my laptop screen ater selecting kernel 4.1.7-200.fc86_64 for boot (164.52 KB, image/jpeg)
2015-09-26 17:36 EDT, ChrisKalt
no flags Details
/var/log/grubby as requested (3.72 KB, text/plain)
2015-10-01 07:17 EDT, ChrisKalt
no flags Details
grub.cfg (5.39 KB, text/plain)
2015-10-01 07:19 EDT, ChrisKalt
no flags Details
listing of /boot/ dir (1.44 KB, text/plain)
2015-10-01 07:20 EDT, ChrisKalt
no flags Details
Screenshot of Fedora boot choices-the top one of which leads to panic (113.66 KB, image/jpeg)
2015-12-20 15:28 EST, ChrisKalt
no flags Details
Screenshot of kernel panic after booting (152.82 KB, image/jpeg)
2015-12-20 15:29 EST, ChrisKalt
no flags Details

  None (edit)
Description ChrisKalt 2015-09-26 17:36:47 EDT
Created attachment 1077585 [details]
picture of my laptop screen ater selecting kernel 4.1.7-200.fc86_64 for boot

Description of problem:

After performing a dnf update on my Fedora 22 Desktop, if I select kernel 4.1.7-200.fc22.x86_64 I get kernel panic.

If I select the previous kernel 4.1.6-201.fc22.x86_64 it boots fine.

Version-Release number of selected component (if applicable):
kernel 4.1.7-200.fc22.x86_64

How reproducible:
Each boot if I select the 4.1.7-200.fc22.x86_64 kernel version

Steps to Reproduce:
1.boot
2.select 4.1.7-200.fc22.x86_64


Actual results:
Attached screen shot shows call stack and kernel panic.
Final message is:
[Kerel panic - not syncing: VFS: Unable to mount root fs on unknown-block(0,0)]

Expected results:
Normal boot. Which I can get if I select any of the previous kernels at boot time.
Comment 1 Josh Boyer 2015-09-28 09:00:21 EDT
99% of the time this is a result of one of 2 things:

1) There is no corresponding initramfs file in /boot for this kernel.  Please verify it exists and is of similar size to the others.

2) The file exists, but is not specified in the grub configuration file.  Please verify there is an "initrd initrams-<version>" line in the stanza for this kernel entry in the grub configuration file.
Comment 2 ChrisKalt 2015-09-30 11:08:32 EDT
Thank you for the reply.

As you suspected, there is no corresponding initramfs file present.

[root@localhost boot]# ls -ltr initram*
-rw-rw-r--. 1 root root 48004593 Sep  9 11:27 initramfs-0-rescue-d54d7dfac5f140cea416d7d4929d659f.img
-rw-r--r--. 1 root root 19579536 Sep  9 12:23 initramfs-4.1.6-200.fc22.x86_64.img
-rw-r--r--. 1 root root 19590831 Sep 12 14:53 initramfs-4.1.6-201.fc22.x86_64.img
[root@localhost boot]#
Comment 3 Brian Lane 2015-09-30 13:33:20 EDT
Please attach /var/log/grubby and /boot/grub2/grub.cfg as individual text/plain attachments. Also the output of ls -l /boot/
Comment 4 ChrisKalt 2015-10-01 07:17 EDT
Created attachment 1079048 [details]
/var/log/grubby as requested
Comment 5 ChrisKalt 2015-10-01 07:19 EDT
Created attachment 1079049 [details]
grub.cfg

grub.cnf file as requested.
Comment 6 ChrisKalt 2015-10-01 07:20 EDT
Created attachment 1079050 [details]
listing of /boot/ dir

ls -l /boot/ as requested.
Comment 7 Brian Lane 2015-10-01 12:49:44 EDT
It looks like the initramfs creation failed for some reason so grubby didn't add it to the boot entry. Check dracut errors in /var/log/
Comment 8 ChrisKalt 2015-10-01 15:31:20 EDT
I'm only seeing messages that refer to starting and stopping dracut or services with dracut in the name. No obvious errors.

Please excuse my ignorance, but can I ask you when is the initramfs supposed to be created? Should this happen when I upgrade to a new kernel with dnf, or is there some command that should be running periodically or at boot time which is failing on my machine? 

I'm trying to determine whether this was just a fluke or will it happen for subsequent upgrades.

Thank you very much for your help!
Comment 9 Brian Lane 2015-10-01 16:25:56 EDT
It should be created when installing a new kernel. I'm not sure what happened here, there just isn't enough info. You can try removing the kernel and reinstalling it with 'dnf reinstall kernel'
Comment 10 ChrisKalt 2015-12-20 15:23:16 EST
Since I created this post several dnf updates resulting in new Kernels seems to have resolved the problem described, however with the latest upgrade which brought in Fedora (4.2.7-200.fc22.x86_64) 22 (Twenty Two) the problem is back.

I'm attaching a screen shot showing my available Kernel choices upon boot and only the top one causes the panic.  And the second screen shot shows the screen after selecting the top Kernel.

Do you know what might be causing this problem to occur on some releases on others it does not?

Thank you,
Chris Kaltwasser
Comment 11 ChrisKalt 2015-12-20 15:28 EST
Created attachment 1108030 [details]
Screenshot of Fedora boot choices-the top one of which leads to panic

This screenshot shows the available selections on boot for Fedora versions, only the top one of which leads to a Kernel panic.
Comment 12 ChrisKalt 2015-12-20 15:29 EST
Created attachment 1108032 [details]
Screenshot of kernel panic after booting
Comment 13 Harald Hoyer 2016-01-07 05:29:13 EST
(In reply to ChrisKalt from comment #12)
> Created attachment 1108032 [details]
> Screenshot of kernel panic after booting

This looks like a missing initrd in /boot.

Make sure you have "grubby" installed and not removed by accident.

# rpm -q grubby

Please also attach the output of:

# journalctl -t dracut
# ls -l /boot

and attach /boot/grub2/grub.cfg

Note You need to log in before you can comment on or make changes to this bug.